<?php
/**
 * @copyright ..........................
 * @author ........ .......... <someone [at] somewhere [dot] com>
 */

// make sure we are not being called directly
defined('APP_DIR') or exit();

/**
 * meta
 */
function xxMobileEditor_meta()
{
    $_tmp = array(
        'name'        => 'Mobile Editor',
        'url'         => 'meditor',
        'version'     => '1.0.0',
        'developer'   => 'Someone, &copy;' . strftime('%Y'),
        'description' => "Turn on tinymce for mobile devices",
        'category'    => 'developer'
    );
    return $_tmp;
}

/**
 * init
 */
function xxMobileEditor_init()
{
    jrCore_register_event_listener('jrCore', 'module_view', 'xxMobileEditor_module_view_listener');
    return true;
}

//-------------------------
// Listeners
//-------------------------

/**
 * listen for forms displaying
 * @param $_data
 * @param $_user
 * @param $_conf
 * @param $_args
 * @param $event
 * @return mixed
 */
function xxMobileEditor_module_view_listener($_data, $_user, $_conf, $_args, $event)
{

    if (isset($_data['module']) && $_data['module'] == 'jrBlog' && isset($_data['option']) && ($_data['option'] == 'update' || $_data['option'] == 'create')) {
        jrCore_set_flag('jrcore_is_mobile_device', 'no');
        jrCore_set_flag('jrcore_is_tablet_device', 'no');
    }
    return $_data;
}